'use strict';

'use strict';

angular.module('adf.widget.electre.lavoisier')
    .controller('lavoisierChartCtrl',
        [
            "$scope", "config", "baseController",
            function ($scope, config, baseController) {
                $scope.valid = false;

                if (config.view) {
                    config.rendering = "chart";

                    $scope.chartDirectiveCtrl = {
                        config : config,
                        httpConfig: baseController.getUrlObject(config),
                        success: function () {
                            $scope.processing = false;
                            $scope.request_failed = false;
                            $scope.processing_failed = false;
                            $scope.success = true;
                        },
                        processingFailed: function () {
                            $scope.processing = false;
                            $scope.success = false;
                            $scope.request_failed = false;
                            $scope.processing_failed = true;
                        },
                        requestFailed: function () {
                            $scope.processing = false;
                            $scope.success = false;
                            $scope.processing_failed = false;
                            $scope.request_failed = true;
                        },
                        processing: function () {
                            $scope.request_failed = false;
                            $scope.processing_failed = false;
                            $scope.success = false;
                            $scope.processing = true;
                        }
                    };

                    $scope.valid = true;
                }
            }
        ]
    );